Subject: Re: bug#18181: bug in display-buffer-below-selected

From: martin rudalics <[email-masked]>
Date: Mon, 04 Aug 2014 19:22:37 +0200

> Hello.  I am seeing what I think is a bug in
 > display-buffer-below-selected in recent versions of emacs-24.3.
 >
 > Namely, if you execute display-buffer-below-selected when the buffer
 > is already in a window below selected, you will get *two* windows
 > showing the buffer.  A simple test is to run
 >
 >       (let ((buffer (get-buffer-create "test-buffer")))
 >         (display-buffer-below-selected buffer nil)
 >         (display-buffer-below-selected buffer nil))
 >
 > in *scratch*.

This is the intended behavior.  `display-buffer-at-bottom' and
`display-buffer--maybe-pop-up-frame-or-window' also display the buffer a
second time even if it's already shown.  The correct use of this is to
try `display-buffer-reuse-window' before `display-buffer-below-selected'.

 > This behavior seems to have been introduced in git commit
 >       6a5d9e9a3247566bf69575444e2a1f75f5b3e021
 > in the emacs-24 branch of git://git.savannah.gnu.org/emacs.git

Can you please tell me which commit this was.  I don't have git.

Thanks, martin